<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>GNUKhata | Voucher</title>
  <style media="screen">
  .rightJustified {
    text-align: right;
  }
  /*
  Force table width to 100%
  */
  table.table-fixedheader {
    width: 100%;
  }
  /*
  Set table elements to block mode.  (Normally they are inline).
  This allows a responsive table, such as one where columns can be stacked
  if the display is narrow.
  */
  table.table-fixedheader, table.table-fixedheader>thead, table.table-fixedheader>tbody, table.table-fixedheader>tfoot, table.table-fixedheader>thead>tr, table.table-fixedheader>tbody>tr, table.table-fixedheader>tfoot>tr, table.table-fixedheader>thead>tr>th, table.table-fixedheader>tbody>tr>td, table.table-fixedheader>tfoot>tr>td {
    display: block;
  }
  table.table-fixedheader>thead>tr:after, table.table-fixedheader>tbody>tr:after, table.table-fixedheader>tfoot>tr:after  {
    content:' ';
    display: block;
    visibility: hidden;
    clear: both;
  }
  /*
  When scrolling the table, actually it is only the tbody portion of the
  table that scrolls (not the entire table: we want the thead to remain
  fixed).  We must specify an explicit height for the tbody.  We include
  100px as a default, but it can be overridden elsewhere.

  Also, we force the scrollbar to always be displayed so that the usable
  width for the table contents doesn't change (such as becoming narrower
  when a scrollbar is visible and wider when it is not).
  */
  table.table-fixedheader>tbody {
    overflow-y: scroll;
    height: 45%;

  }
  /*
  We really don't want to scroll the thead contents, but we want to force
  a scrollbar to be displayed anyway so that the usable width of the thead
  will exactly match the tbody.
  */
  table.table-fixedheader>thead {
    overflow-y: scroll;
    height: 26px;
  }
  table.table-fixedheader>tfoot {

    height: 38px;
  }
  /*
  For browsers that support it (webkit), we set the background color of
  the unneeded scrollbar in the thead to make it invisible.  (Setting
  visiblity: hidden defeats the purpose, as this alters the usable width
  of the thead.)
  */
  table.table-fixedheader>thead::-webkit-scrollbar {
    background-color: inherit;
  }


  table.table-fixedheader>thead>tr>th:after, table.table-fixedheader>tbody>tr>td:after, table.table-fixedheader>tfoot>tr>td:after {
    content:' ';
    display: table-cell;
    visibility: hidden;
    clear: both;
  }

  /*
  We want to set <th> and <td> elements to float left.
  We also must explicitly set the width for each column (both for the <th>
  and the <td>).  We set to 20% here a default placeholder, but it can be
  overridden elsewhere.
  */

  table.table-fixedheader>thead tr th, table.table-fixedheader>tbody tr td, table.table-fixedheader>tfoot tr td {
    float: left;

  }

  .shadow {
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
  }
  td {
    font-size: 80%;
  }

  th {
    font-size: 75%;
  }

  </style>
</head>
<body>
  <div class="container-fluid">
    <div class="alert alert-success" id="success-alert"  aria-live="rude" role="alert" hidden>

      Voucher saved.
    </div>
    <div class="alert alert-danger" id="account-blank-alert"  aria-live="rude" role="alert" hidden>

      <label for="vno">Please select an account!</label>
    </div>
    <div class="alert alert-danger" id="failure-alert" aria-live="rude" role="alert" hidden>

      Voucher could not be saved.
    </div>
    <div class="alert alert-danger" id="balance-alert" aria-live="rude" role="alert" hidden>

      Totals misbalance!
    </div>
    <div class="alert alert-danger" id="zero-alert" aria-live="rude" role="alert" hidden>

      Voucher amount cannot be zero!
    </div>
    <div class="alert alert-danger" id="zerorow-alert" aria-live="rude" role="alert" hidden>

      Voucher with zero amount cannot be saved!
    </div>
    <div class="alert alert-danger" id="accs-alert" aria-live="rude" role="alert" hidden>

      An account can be selected only once!
    </div>
    <div class="alert alert-danger" id="vno-alert" aria-live="rude" role="alert" hidden>

      Please enter voucher number!
    </div>
    <div class="alert alert-danger" id="date-alert" aria-live="rude" role="alert" hidden>

      Please enter voucher date in proper format!
    </div>
    <div class="alert alert-warning" id="postdate-alert" aria-live="rude" role="alert" hidden>
      You are entering a post-dated transaction!
    </div>
    <div class="alert alert-danger" id="between-date-alert" aria-live="rude" role="alert" hidden>

      Please enter voucher date within the financial year!
    </div>


    <form id="voucher" name="voucher">
      <div class="form-inline well well-sm shadow" >

        <div class="form-group">
          <label for="vno"><u>V</u>oucher No:</label><label for="vno" style="color:red;font-size: 120%;">*</label>
          <input type="text" class="form-control input-sm" value="{{lastdetails['vno']}}" name="vno" id="vno" size="10" accesskey="v">
        </div>
        <div class="form-group col-xs-offset-4">
          {% if vtype=="contra" %}
          <label><i>Contra</i></label>
          {% elif vtype == "payment" %}
          <label><i>Payment</i></label>
          {% elif vtype == "receipt" %}
          <label><i>Receipt</i></label>
          {% elif vtype == "journal" %}
          <label><i>Journal</i></label>
          {% elif vtype == "sales" %}
          <label><i>Sales</i></label>
          {% elif vtype == "purchase" %}
          <label><i>Purchase</i></label>
          {% elif vtype == "creditnote" %}
          <label><i>Credit Note</i></label>
          {% elif vtype == "debitnote" %}
          <label><i>Debit Note</i></label>
          {% elif vtype == "salesreturn" %}
          <label><i>Sale Return</i></label>
          {% elif vtype == "purchasereturn" %}
          <label><i>Purchase Return</i></label>
          {% endif %}
        </div>
        <div class="pull-right form-group">
          <label for="vdate"><u>D</u>ate:</label>
          <input type="text" class="vdate form-control input-sm" id="vdate" value="{{lastdetails['vdate'][0:2]}}" size="2" maxlength="2" placeholder="DD" accesskey="d">
          <input type="text" id="vmonth" class="vdate form-control input-sm" value="{{lastdetails['vdate'][3:5]}}" size="2" maxlength="2" placeholder="MM">
          <input type="text" id="vyear" class="vdate form-control input-sm" value="{{lastdetails['vdate'][6:]}}" size="4" maxlength="4" placeholder="YYYY">
        </div>

      </div>
      <div class="panel flow shadow">
        <div class="table-responsive">
          <table id="vtable" class="table table-condensed table-fixedheader">
            <thead>
              <tr>
                <th class="col-xs-1">
                  Cr/Dr
                </th>
                <th class="col-xs-4">
                  Account Name
                </th>
                <th class="col-xs-3 rightJustified">
                  Dr Amount
                </th>
                <th class="col-xs-3 rightJustified">
                  Cr Amount
                </th>
                <th class="col-xs-1">
                  Remove
                </th>
              </tr>
            </thead>
            <tbody>
              <tr>
                <td class="col-xs-1">
                  <select class="form-control input-sm crdr" disabled>
                    <option value="Dr" selected>Dr</option>
                    <option value="Cr">Cr</option>
                  </select>
                </td>
                <td class="col-xs-4">
                  <select class="form-control input-sm accs">
                    {% for acc in draccounts %}
                    <option value="{{acc['accountcode']}}">{{acc['accountname']}}</option>
                    {% endfor %}
                  </select>
                </td>
                <td class="col-xs-3">
                  <input class="form-control input-sm dramt rightJustified" type="text" value="0.00">
                </td>
                <td class="col-xs-3">
                  <input class="form-control input-sm cramt rightJustified" type="text" value="" disabled>
                </td>
                <td class="col-xs-1">

                </td>
              </tr>
              <tr>
                <td class="col-xs-1">
                  <select class="form-control input-sm crdr" disabled>
                    <option value="Cr" selected>Cr</option>
                    <option value="Dr">Dr</option>
                  </select>
                </td>
                <td class="col-xs-4">
                  <select class="form-control input-sm accs">
                    {% for acc in craccounts %}
                    <option value="{{acc['accountcode']}}">{{acc['accountname']}}</option>
                    {% endfor %}
                  </select>
                </td>
                <td class="col-xs-3">
                  <input class="form-control input-sm dramt rightJustified" type="text" value="" disabled>
                </td>
                <td class="col-xs-3">
                  <input class="form-control input-sm cramt rightJustified" type="text" value="0.00">
                </td>
                <td class="col-xs-1">

                </td>
              </tr>
            </tbody>
            <tfoot>
              <tr>
                <td class="col-xs-5" colspan="2">
                  <input type="text" class="form-control input-sm" value="Total" disabled>
                </td>
                <td class="col-xs-3">
                  <input id="drtotal" class="form-control input-sm rightJustified" type="text" value="0.00" disabled>
                </td>
                <td class="col-xs-3">
                  <input id="crtotal" class="form-control input-sm rightJustified" type="text" value="0.00" disabled>
                </td>
                <td class="col-xs-1">

                </td>
              </tr>
            </tfoot>
          </table>
        </div>
      </div>
      <div class="form-inline">
        <div class="form-group">
          <label for="project">Pro<u>j</u>ect:</label>

          <select class="form-control input-sm" id="project" accesskey="j">
            <option value="">None</option>
            {% for project in projects %}
            <option value="{{project['projectcode']}}">{{project['projectname']}}</option>
            {% endfor %}}
          </select>
        </div>
        <div class="form-group pull-right">
          <label for="narration">Narra<u>t</u>ion:</label>
          <textarea class="form-control" name="narration" id="narration" rows="3" cols="70" accesskey="t"></textarea>
        </div>
      </div>
      <input type="hidden" id="vtype" name="vtype" value="{{vtype}}">


    </form>
    <div class="form-inline">
      <div class="form-group">
        <button type="button" id="save" name="submit" class="btn btn-success" accesskey="s">
          <u>S</u>ave
        </button>
      </div>
      <div class="form-group">
        <button type="button" id="reset" class="btn btn-danger" accesskey="e">
          R<u>e</u>set
        </button>
      </div>
      <div class="form-group">
        <button type="button" id="popup" class="btn btn-primary" accesskey="o">
          Add Acc<u>o</u>unt
        </button>
      </div>
            <label class="btn btn-primary" for="my-file-selector">
              <input name="img" accesskey="h" class="input-sm" id="my-file-selector" type="file" accept="image/*" multiple style="display:none;" onchange="$('#upload-file-info').html(this.files.length+' selected');">
              Attac<u>h</u>
            </label>
            <span class='label label-info' id="upload-file-info"></span>
      </div>
    </div>




  </div>
  <input type="hidden" id="selpopupaccount" value="">
  <div id="viewacc">

  </div>
  <script type="text/javascript" src="{{request.static_url('gkwebapp:static/js/addvoucher.js')}}"></script>
</body>
</html>
